Kerbal Space Program - Bug #9654

Screen goes black at certain camera angles
05/02/2016 03:38 AM - kj4ihqg

Status: Closed Start date: 05/02/2016
Severity: High % Done: 100%
Assignee:

Category: Camera

Target version:

Version: 1.1.2 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

When you open up a saved game, the view of the KSC is completely black - changing the camera angle brings the space center into
focus. Something similar happens in flight - if you load the Powered Landing simulation, for instance, it is a black screen unless you
mouse over the rocket - in which case the rocket and background appear.

Some screenshots:

What greets you when you open a save file: 8B243D952C4127F3CA1279719375EA99149A4ACD

When you shift the camera angle slightly: FFAD69E27774E8C5E8000D077A84E44516A3C307

What greets you when you load the Powered Landing simulation: E73EDA6E41F982C15718276B682420923BC0A64C

Apparently the reentry heating works even when the rocket is not visible: 0E1EE743A40E5DE225BAA0FAD9D85DOECBACCBDS

When you mouse over the rocket, it and the background come into view: 44CEE96A248C762AED74D511C536462B921D8981

Here's a screenshot with the F3 button pressed for flight details in case that helps any:
67300DE379BF876F61E9FF693A2FFFC1D6630B14

The system | am using is a homebuilt box running Windows 7 SP1 Pro. Processor is a Intel Core i5-760, 8 GB RAM, graphics card
is an ATI Radeon HD 5500 series. If there's any other info | can provide, let me know.

History

#1 - 05/26/2016 10:39 AM - sal_vager

Hi can you please provide your dxdiag, ksp.log, output_log.txt, thank you
See the wiki for details.

http://bugs.kerbalspaceprogram.com/projects/ksp/wiki

#2 - 05/29/2016 01:14 AM - kjdihq
- File KSP.log added

- File DxDiag.txt added

- File output_log.txt added

sal_vager wrote:
Hi can you please provide your dxdiag, ksp.log, output_log.txt, thank you

See the wiki for details.

http:/bugs .kerbalspaceprogram.com/projects/ksp/wiki

You are welcome! Attached are the three files you mentioned. My apologies for not adding them earlier.
#3 - 07/17/2016 09:56 AM - TriggerAu

- Status changed from New to Needs Clarification

#4 - 08/09/2019 11:05 PM - chris.fulton
- Status changed from Needs Clarification to Resolved

- % Done changed from 0 to 100

#5 - 08/09/2019 11:05 PM - chris.fulton

- Status changed from Resolved to Closed

Closing, QA has not been able to reproduce this issue for some time and in effort of the database cleanup that is underway this bug is being closed.

Files

KSP.log 239 KB 05/29/2016 kj4ihq
DxDiag.txt 30.7 KB 05/29/2016 kj4ihq
output_log.txt 512 KB 05/29/2016 kj4ihq
